| Bsoft 2.0.5 Bernard's software package

Functions
rwmol_star.h File Reference

Read and write molecules in STAR format. More...

Go to the source code of this file.

## Functions
long | read_mol_star (Bstring &filename, Bmolgroup *molgroup)
| Reads a molecule group from a STAR format file. More...
long | write_mol_star (Bstring &filename, Bmolgroup *molgroup)
| Writes a molecule group to a STAR format file. More...

## Detailed Description

Read and write molecules in STAR format.

Author
  Bernard Heymann

Date
  Created: 19991113
  Modified: 20050908

Definition in file rwmol_star.h.

## Function Documentation

## ◆ read_mol_star()

long read_mol_star | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Reads a molecule group from a STAR format file.

Parameters

  &filename | the file name.
  *molgroup | the molecule group.

Returns
  long number of molecules read (<0 if reading failed).

Definition at line 25 of file rwmol_star.cpp.

## ◆ write_mol_star()

long write_mol_star | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Writes a molecule group to a STAR format file.

Parameters

  &filename | the file name.
  *molgroup | the molecule group.

Returns
  long number of molecules written (<0 if writing failed).

Definition at line 324 of file rwmol_star.cpp.